Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.activity
Interface ActionCreatingForEach

All Known Subinterfaces:
  ActionCreating, ActionGroup, ActivationOrder, ConcurrentGroup, ConcurrentSchedule, Schedule

public interface ActionCreatingForEach

Send a message to every item in target, which is assumed to be a collection.. The createActionForEach: messages define a message to be sent in the same way as the createActionTo messages, but they assume that the object passed as the target argument is a collection object. They specify that each object available from that collection, using the standard messages of the Collection type in the collections library, is to receive the specified message.

Method Summary
`ActionForEach` | `createActionForEach$message(java.lang.Object target, Selector aSel)`
`ActionForEach` | `createActionForEach$message(java.lang.Object target, Selector aSel, java.lang.Object arg1)`
`ActionForEach` | `createActionForEach$message(java.lang.Object target, Selector aSel, java.lang.Object arg1, java.lang.Object arg2)`
`ActionForEach` | `createActionForEach$message(java.lang.Object target, Selector aSel, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
`ActionForEachHomogeneous` | `createActionForEachHomogeneous$message(java.lang.Object target, Selector aSel)`

Method Detail

### createActionForEachHomogeneous$message

    public ActionForEachHomogeneous createActionForEachHomogeneous$message(java.lang.Object target,
                                                                           Selector aSel)

### createActionForEach$message

    public ActionForEach createActionForEach$message(java.lang.Object target,
                                                     Selector aSel)

### createActionForEach$message

    public ActionForEach createActionForEach$message(java.lang.Object target,
                                                     Selector aSel,
                                                     java.lang.Object arg1)

### createActionForEach$message

    public ActionForEach createActionForEach$message(java.lang.Object target,
                                                     Selector aSel,
                                                     java.lang.Object arg1,
                                                     java.lang.Object arg2)

### createActionForEach$message

    public ActionForEach createActionForEach$message(java.lang.Object target,
                                                     Selector aSel,
                                                     java.lang.Object arg1,
                                                     java.lang.Object arg2,
                                                     java.lang.Object arg3)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD